Subject: Fw: Need a paid Invoice for 2015 Labor Law Poster
From: "LLPS Customer Service" <[email-masked]>
To: <[email-masked]>
Date: Fri, 20 Feb 2015 16:12:02 -0500

Thank you,
Michael B
LLPS

From: Robin Greer 
Sent: Thursday, February 19, 2015 5:10 PM
To: [email-masked] 
Subject: Need a paid Invoice for 2015 Labor Law Poster

Attached is the invoice I received for my 2014 Labor Law Poster.  I have received my 2015 Labor Law Poster in January 2015, but I have not received a paid invoice.  Can you email me one today. Thanks

-----Original Message-----
From: Labor Law Poster Service [mailto:[email-masked]] 
Sent: Thursday, April 10, 2014 8:56 AM
To: Robin Greer
Subject: Invoice 1829202

        
-------------------------
Thank you for your order. Your invoice is attached.

This is an automatically generated message from Labor Law Poster Service. 
UID: 6